# Retrieve a report run Retrieves details of the specific report run. Endpoint: GET /reporting/api/rest/v1/reportruns/{reportRunId} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string, required) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `reportRunId` (string, required) The ID of the report run. You can get the ID from the JSON response to Run a Report. ## Response 200 fields (application/json): - `id` (string) The ID of the report run. This value matches the value of the reportRunId request parameter. - `status` (string) Status of the report run. * started - The report run has started. The query has not been submitted. * querydata - The query has been submitted. The results have not been received. * processingdata - The results have been received. The results are being processed. * completed - The report run has finished successfully. The results are available for download using Get Report Data or Export Report Run. * cancelled - The report run was canceled by the user. * invalid - The report definition or data is invalid. * error - The report run has finished with an error. Enum: "started", "querydata", "processingdata", "completed", "cancelled", "invalid", "error" - `startedOn` (string) The timestamp of when the report run was started. - `updatedOn` (string) The timestamp of when the status of the report run was last updated. - `reportID` (string) The ID of the report that was run. - `reportType` (string) The type of the report that was run. Enum: "detail", "summary" - `reportDefinition` (string) The definition of the report that was run.